Subject: Re: bug#12622: replace-regexp-in-string

From: Stefan Monnier <[email-masked]>
Date: Fri, 12 Oct 2012 14:12:34 -0400

> (eval rep)

`eval' is evil and should be avoided when possible (typically replaced
by `funcall').

Of course, in this case, `rep' is always a value anyway, because all the
arguments of a call are always evaluated before entering the body of the
function (at least in Elisp, which uses "eager" or "strict" or
"applicative order" evaluation) so there's nothing left to evaluate.

        Stefan